﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;
using System.Collections;

namespace LINQDemos.LinqToObjects
{
    public static class LinqToObjectsSample
    {

        public static void QueryProcesses()
        {
            Console.WriteLine("Linq");

            IEnumerable<String> memoryPigs = from p in Process.GetProcesses()
                                              orderby p.ProcessName
                                              where p.PeakPagedMemorySize64 > 10000000
                                              select p.ProcessName;

            foreach (String p in memoryPigs)
            {
                Console.WriteLine("\t{0}", p);
            }
            Console.WriteLine();
        }

        public static void QueryProcessesOldSchool()
        {
            Console.WriteLine("Old School");

            Process[] runningProcesses = Process.GetProcesses();
            ArrayList memoryPigs = new ArrayList(runningProcesses.Length);

            foreach (Process p in runningProcesses)
            {
                if (p.PeakPagedMemorySize64 > 10000000)
                {
                    memoryPigs.Add(p.ProcessName);
                }
            }

            memoryPigs.Sort();

            for (int i = 0; i < memoryPigs.Count; i++)
            {
                Console.WriteLine("\t{0}", memoryPigs[i]);
            }

            Console.WriteLine();
            
        }

    }
}
