﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LINQDemos.LinqToSQL
{
    public static class DlinkSample
    {

        public static void GetCustomerOrders()
        {
            CustomersDemoDataContext dataContext = new CustomersDemoDataContext();
            Customer c = new Customer();

            IEnumerable<CustOrdersOrder> orders = dataContext.CustOrdersOrders("EASTC");

            foreach (CustOrdersOrder order in orders)
            {
                Console.WriteLine("Order {0} was ordered on {1}.", order.OrderID.ToString(), order.OrderDate.ToString());
            }

        }

        public static void GetCustomerListLinq()
        {
            CustomersDemoDataContext dataContext = new CustomersDemoDataContext();

            var customers = from cust in dataContext.Customers
                            orderby cust.CompanyName
                            select cust.CompanyName;

            foreach (string s in customers)
            {
                Console.WriteLine(s);
            }
            
        }

    }
}
